Bug 152096 - cdrecord fails to recognise valid drive
cdrecord fails to recognise valid drive
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 152094 152095 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 15:06 EST by Michael McLagan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 10:11:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael McLagan 2005-03-24 15:06:34 EST
Description of problem:

Distributed cdrecord fails to recognize or use a SCSI DVD+/-RW drive attached to
system via Acard SCSI-IDE bridge, part AEC-7722.  This device receives SCSI
commands from the OS, translates them to appropriate IDE commands and passes
them to the drive.  

Code from original author recognizes the drive, accesses the drive and burns CDs.

Version-Release number of selected component (if applicable):

cdrecord-2.01.1-8

How reproducible:

Every time

Steps to Reproduce:
1.cdrecord dev=1,6,0 -checkdrive
2.
3.
  
Actual results:

Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: '1,6,0'
scsibus: 1 target: 6 lun: 0
cdrecord: Read-only file system. Cannot open '/dev/scd0'. Cannot open SCSI driver.
cdrecord: For possible targets try 'cdrecord -scanbus'.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.

Expected results:

The author's source does recognize the drive:

Cdrecord-Clone 2.01.01a01 (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
scsidev: '1,6,0'
scsibus: 1 target: 6 lun: 0
Linux sg driver version: 3.1.25
Using libscg version 'schily-0.8'.
Device type    : Removable CD-ROM
Version        : 2
Response Format: 2
Capabilities   : WBUS16 SYNC 
Vendor_info    : 'TOSHIBA '
Identifikation : 'CD/DVDW SD-R5372'
Revision       : 'TU53'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.


Further, the ProDVD version recognizes the drive:

Cdrecord-ProDVD-Clone 2.01.01a01 (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Unlocked features: ProDVD Clone 
Limited  features: 
This copy of cdrecord is licensed for:
private/research/educational_non-commercial_use
scsidev: '1,6,0'
scsibus: 1 target: 6 lun: 0
Linux sg driver version: 3.1.25
Using libscg version 'schily-0.8'.
Device type    : Removable CD-ROM
Version        : 2
Response Format: 2
Capabilities   : WBUS16 SYNC 
Vendor_info    : 'TOSHIBA '
Identifikation : 'CD/DVDW SD-R5372'
Revision       : 'TU53'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R96R


Additional info:
[root@linux master]# cat /proc/scsi/scsi
Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: CSC 73GB Model: 10K REFURBISHED  Rev: 0102
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: CSC 73GB Model: 10K REFURBISHED  Rev: 0102
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 06 Lun: 00
  Vendor: SUPER    Model: GEM318           Rev: 0   
  Type:   Processor                        ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 05 Lun: 00
  Vendor: ECRIX    Model: VXA-1            Rev: 2EAE
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi1 Channel: 00 Id: 06 Lun: 00
  Vendor: TOSHIBA  Model: CD/DVDW SD-R5372 Rev: TU53
  Type:   CD-ROM                           ANSI SCSI revision: 02

Drive is connected to SCSI bus via ACard AEC-7722 SCSI-IDE bridge card.
Comment 1 Warren Togami 2005-03-26 19:41:54 EST
*** Bug 152095 has been marked as a duplicate of this bug. ***
Comment 2 Warren Togami 2005-03-26 19:42:00 EST
*** Bug 152094 has been marked as a duplicate of this bug. ***
Comment 3 Harald Hoyer 2005-03-29 06:00:54 EST
what about
$ cdrecord -checkdrive dev=/dev/cdwriter 
Comment 4 Michael McLagan 2005-03-30 12:34:12 EST
[root@linux dnsbl]# cdrecord-dist -checkdrive dev=1,6,0
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: '1,6,0'
scsibus: 1 target: 6 lun: 0
cdrecord-dist: Read-only file system. Cannot open '/dev/scd0'. Cannot open SCSI
driver.
cdrecord-dist: For possible targets try 'cdrecord -scanbus'.
cdrecord-dist: For possible transport specifiers try 'cdrecord dev=help'.
[root@linux dnsbl]# cdrecord-dist -checkdrive dev=/dev/scd0
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
cdrecord-dist: Read-only file system. Cannot open '/dev/scd0'. Cannot open SCSI
driver.
cdrecord-dist: For possible targets try 'cdrecord -scanbus'.
cdrecord-dist: For possible transport specifiers try 'cdrecord dev=help'.

[root@linux mnt]# mount dvd  
[root@linux mnt]# dir dvd
total 2
drwxrwxrwx  2 4294967295 4294967295 196 Mar 26 12:41 DVD_RTAV
[root@linux mnt]# grep dvd /etc/fstab
/dev/scd0               /mnt/dvd        udf       owner,noauto,user,ro    0   0
[root@linux mnt]# dir dvd/DVD_RTAV/
total 3693238
-rwxrwxrwx  1 4294967295 4294967295     126976 Mar 26 12:41 VR_MANGR.BUP
-rwxrwxrwx  1 4294967295 4294967295     126976 Mar 26 12:41 VR_MANGR.IFO
-rwxrwxrwx  1 4294967295 4294967295 3781621760 Mar 26 12:41 VR_MOVIE.VRO
Comment 5 Michael McLagan 2005-03-30 12:37:03 EST
[root@linux mnt]# dir /usr/bin/cdre*
-rwxr-xr-x  1 root root    474 Mar 24 14:50 /usr/bin/cdrecord
-rwxr-xr-x  1 root root 376924 Mar 24 14:51 /usr/bin/cdrecord-ProDVD
-rwxr-xr-x  1 root root 331936 Mar  2 06:23 /usr/bin/cdrecord-dist
-rwxr-xr-x  1 root root 361039 Mar  5 16:00 /usr/bin/cdrecord-src

[root@linux mnt]# cdrecord -checkdrive dev=/dev/scd0
Cdrecord-ProDVD-Clone 2.01.01a01 (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Unlocked features: ProDVD Clone 
Limited  features: 
This copy of cdrecord is licensed for:
private/research/educational_non-commercial_use
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
Warning: Open by 'devname' is unintentional and not supported.
cdrecord-ProDVD: Read-only file system. Cannot open '/dev/scd0'. Cannot open
SCSI driver.
cdrecord-ProDVD: For possible targets try 'cdrecord -scanbus'.
cdrecord-ProDVD: For possible transport specifiers try 'cdrecord dev=help'.
[root@linux mnt]# cdrecord -checkdrive dev=1,6,0    
Cdrecord-ProDVD-Clone 2.01.01a01 (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Unlocked features: ProDVD Clone 
Limited  features: 
This copy of cdrecord is licensed for:
private/research/educational_non-commercial_use
scsidev: '1,6,0'
scsibus: 1 target: 6 lun: 0
Linux sg driver version: 3.1.25
Using libscg version 'schily-0.8'.
Device type    : Removable CD-ROM
Version        : 2
Response Format: 2
Capabilities   : WBUS16 SYNC 
Vendor_info    : 'TOSHIBA '
Identifikation : 'CD/DVDW SD-R5372'
Revision       : 'TU53'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R96R
Comment 6 Harald Hoyer 2005-03-31 05:18:47 EST
and?

# modprobe sg
# cdrecord-dist -checkdrive dev=/dev/sg0
Comment 7 Michael McLagan 2005-03-31 15:56:52 EST
[root@linux dnsbl]# cdrecord-dist -checkdrive dev=/dev/sg4
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: '/dev/sg4'
devname: '/dev/sg4'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.1.25
Using libscg version 'schily-0.8'.
cdrecord-dist: Warning: using inofficial libscg transport code version (schily -
Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c   1.83 04/05/20 Copyright
1997 J. Schilling').
Device type    : Removable CD-ROM
Version        : 2
Response Format: 2
Capabilities   : WBUS16 SYNC 
Vendor_info    : 'TOSHIBA '
Identifikation : 'CD/DVDW SD-R5372'
Revision       : 'TU53'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R96R
Comment 8 Michael McLagan 2005-03-31 16:00:36 EST
[root@linux dnsbl]# cdrecord-dist -checkdrive dev=1,6,0    
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: '1,6,0'
scsibus: 1 target: 6 lun: 0
cdrecord-dist: Read-only file system. Cannot open '/dev/scd0'. Cannot open SCSI
driver.
cdrecord-dist: For possible targets try 'cdrecord -scanbus'.
cdrecord-dist: For possible transport specifiers try 'cdrecord dev=help'.
Comment 9 Harald Hoyer 2005-04-01 05:15:07 EST
This is a kernel bug. scd0 should provide the same functionality like sg4.
The same commands work for IDE drives. Do you have the latest kernel?

$ dvd+rw-mediainfo /dev/dvdwriter
INQUIRY:                [HL-DT-ST][DVDRRW GWA-4161B][1.15]

$ cdrecord -checkdrive dev=/dev/dvdwriter
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
scsidev: '/dev/dvdwriter'
devname: '/dev/dvdwriter'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c        1.83 04/05/20 Copyright
1997 J. Schilling').
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'HL-DT-ST'
Identifikation : 'DVDRRW GWA-4161B'
Revision       : '1.15'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Comment 10 Harald Hoyer 2005-09-16 10:11:07 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.